HanMacWrdJTextInternal::PLC Struct Reference

Internal and low level: the PLC different types and their structures of a HanMacWrdJText. More...

## Public Member Functions
| PLC (PLCType w=Unknown, int id=0)
| constructor

## Public Attributes
PLCType | m_type
| PLC type.
int | m_id
| the indentificator
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<<

## Detailed Description

Internal and low level: the PLC different types and their structures of a HanMacWrdJText.

## Constructor & Destructor Documentation

## ◆ PLC()

HanMacWrdJTextInternal::PLC::PLC | ( | PLCType | w = Unknown,
|  | int | id = 0 )
| inline explicit

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string HanMacWrdJTextInternal::PLC::m_extra

extra data

Referenced by operator<<, PLC(), and HanMacWrdJText::readTextZone().

## ◆ m_id

int HanMacWrdJTextInternal::PLC::m_id

the indentificator

Referenced by operator<<, PLC(), HanMacWrdJText::readTextToken(), and HanMacWrdJText::readTextZone().

## ◆ m_type

PLCType HanMacWrdJTextInternal::PLC::m_type

PLC type.

Referenced by operator<<, PLC(), and HanMacWrdJText::readTextZone().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx